Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79703 - re_comp and re_exec man pages don't document _REGEX_RE_COMP
Summary: re_comp and re_exec man pages don't document _REGEX_RE_COMP
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages
Version: 8.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-15 21:56 UTC by dwmalone
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version: 1.60-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-28 20:20:46 UTC


Attachments (Terms of Use)

Description dwmalone 2002-12-15 21:56:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.4.1)
Gecko/20020508 Netscape6/6.2.3

Description of problem:
The re_comp and re_exec man pages suggest includeing <regex.h>
for re_comp and re_exec, but they don't tell you that you need
to define _REGEX_RE_COMP (or that these functions are probably
deprecated).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.man re_exec
2.grep -5 re_exec /usr/include/regex.h
    

Actual Results:  21:56:turing 11% gcc -W -Wall -c re_test.c
re_test.c: In function `main':
re_test.c:12: warning: implicit declaration of function `re_comp'
re_test.c:12: warning: assignment makes pointer from integer without a cast
re_test.c:16: warning: implicit declaration of function `re_exec'


Expected Results:  21:57:turing 13% gcc -D_REGEX_RE_COMP -W -Wall -c re_test.c
21:57:turing 13%



Additional info:

Showed up while investigating
        http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=76594

Comment 1 Jakub Jelinek 2003-01-07 16:59:36 UTC
This is a documentation bug.

Comment 2 Eido Inoue 2003-08-28 20:20:46 UTC
fixed in 1.60-1


Note You need to log in before you can comment on or make changes to this bug.